Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package fsc
  Definition Classes
    nsc
- CompileClient
- CompileOutputCommon
- CompileServer
- CompileSocket
- DaemonKiller
- FscSettings
- HasCompileSocket
- OfflineCompilerCommand
- ResidentScriptRunner
- Socket
- SocketServer
- StandardCompileClient
- StandardCompileServer

c

scala.tools.nsc.fsc

# SocketServer

###

#### abstract class SocketServer extends CompileOutputCommon

The abstract class SocketServer implements the server communication for the fast Scala compiler.

Source
  SocketServer.scala

Linear Supertypes
CompileOutputCommon, AnyRef, Any
Known Subclasses
StandardCompileServer
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SocketServer
2. CompileOutputCommon
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SocketServer(fixPort: Int = 0)

### Abstract Value Members

1.  abstract def session(): Unit
2.  abstract def shutdown: Boolean
3.  abstract def verbose: Boolean
   Definition Classes
     CompileOutputCommon

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from SocketServer toany2stringadd[SocketServer] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (SocketServer, B)
   Implicit
     This member is added by an implicit conversion from SocketServer toArrowAssoc[SocketServer] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val BufferSize: Int
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def createServerSocket(): ServerSocket
   Attributes
     protected
10.  def doSession(clientSocket: Socket): Unit
11.  def echo(msg: String): Unit
    Definition Classes
      CompileOutputCommon
12.  def ensuring(cond: (SocketServer) => Boolean, msg: => Any): SocketServer
    Implicit
      This member is added by an implicit conversion from SocketServer toEnsuring[SocketServer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (SocketServer) => Boolean): SocketServer
    Implicit
      This member is added by an implicit conversion from SocketServer toEnsuring[SocketServer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): SocketServer
    Implicit
      This member is added by an implicit conversion from SocketServer toEnsuring[SocketServer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): SocketServer
    Implicit
      This member is added by an implicit conversion from SocketServer toEnsuring[SocketServer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def fatal(msg: String): Nothing
    Definition Classes
      CompileOutputCommon
19.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from SocketServer toStringFormat[SocketServer] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  var idleMinutes: Int
    Attributes
      protected
24.  var in: BufferedReader
25.  def info(msg: String): Unit
    Definition Classes
      CompileOutputCommon
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  var out: PrintWriter
31.  lazy val port: Int
32.  def run(): Unit
33.  lazy val serverSocket: ServerSocket
34.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
35.  def timeout(): Unit
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
40.  def warn(msg: String): Unit
    Definition Classes
      CompileOutputCommon

### Deprecated Value Members

1.  def →[B](y: B): (SocketServer, B)
   Implicit
     This member is added by an implicit conversion from SocketServer toArrowAssoc[SocketServer] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from CompileOutputCommon

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromSocketServer to any2stringadd[SocketServer]

### Inherited by implicit conversion StringFormat fromSocketServer to StringFormat[SocketServer]

### Inherited by implicit conversion Ensuring fromSocketServer to Ensuring[SocketServer]

### Inherited by implicit conversion ArrowAssoc fromSocketServer to ArrowAssoc[SocketServer]

### Ungrouped